#
# spec file for package svgatext (Version 1.9)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         svgatext
Copyright:    GPL
Group:        Utilities/Console
Requires:     perl kbd
Autoreqprov:  on
Version:      1.9
Release:      244
Summary:      Extended SVGA text modes
Source: SVGATextMode-1.9-src.tar.bz2
Source1: SVGATextCalc-0.9.tar.gz
Source2: SVGATextMode-i740clk-120.tar.gz
Source3: rc.config.svgatext
Source4: rcsvgatext
Patch: SVGATextMode-1.9-src.dif
BuildRoot:    /var/tmp/%{name}-build 

%description
No more place on your screen in text mode? Huge letters on the screen?
You can change this by calling SVGATextMode which extends a SVGA text
display up to 160x60 characters on good SVGA cards.
Before use you have to configure the program by editing the file
/etc/TextConfig to the capabilities of your graphics hardware.
Furthermore you may create your own modelines for /etc/TextConfig with
SVGATextCalc.
Broad documentation can be found under /usr/share/doc/packages/svgatext
and the respective man pages.

Authors:
--------
    Koen Gadeyne <kmg@barco.be>
    Marco Paganini <paganini@ism.com.br>

SuSE series: ap

%prep
%setup -n SVGATextMode-1.9-src -a 2
mkdir SVGATextCalc
tar xfzpC $RPM_SOURCE_DIR/SVGATextCalc-0.9.tar.gz SVGATextCalc
%patch

%build
make all
#       spter werden diese Tools noch hinzugefgt
#       cd contrib/Ultra2Linux && make
#       cd contrib/changefont  && make
#       cd contrib/consoletools && 
#       cd contrib/loadfont && make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{var/adm/fillup-templates,usr/sbin,etc/init.d,%{_mandir}/man{1,5,8}}
make install INSTBINDIR=$RPM_BUILD_ROOT/usr/sbin
make man-install INSTMANDIR=$RPM_BUILD_ROOT/%{_mandir}
install -m 644 TextConfig $RPM_BUILD_ROOT/etc
install -d $RPM_BUILD_ROOT/var/lib/svgatext
install -m 644 %{_sourcedir}/rc.config.svgatext $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 755 %{_sourcedir}/rcsvgatext $RPM_BUILD_ROOT/etc/init.d/svgatext
ln -sf ../../etc/init.d/svgatext $RPM_BUILD_ROOT/usr/sbin/rcsvgatext
( cd SVGATextCalc 
  install -m 755 SVGATextCalc $RPM_BUILD_ROOT/usr/sbin
  install -m 644 SVGATextCalc.1 $RPM_BUILD_ROOT/%{_mandir}/man1 )
cp -a SVGATextCalc SVGATextCalc.org
rm -f SVGATextCalc/{SVGATextCalc,SVGATextCalc-0.9.tgz,SVGATextCalc.1}
cd SVGATextMode-i740clk-120
make
install -s i740clk $RPM_BUILD_ROOT/usr/sbin

%clean
rm -rf $RPM_BUILD_ROOT

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
    bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.svgatext
else
    echo "ERROR: fillup not found. This should not happen. Please compare"
    echo "etc/rc.config and var/adm/fillup-templates/rc.config.svgatext"
    echo "and update by hand."
fi
sbin/insserv etc/init.d/svgatext

%postun
sbin/insserv etc/init.d/

%files
%doc README.suse README README.FIRST INSTALL CREDITS COPYING
%doc HISTORY TODO TextConfig SVGATextMode-1.8.lsm
%doc SVGATextMode-i740clk-120/i740clk.txt
%doc SVGATextCalc
%dir /var/lib/svgatext
%config(noreplace) /etc/TextConfig
%config /etc/init.d/svgatext
%doc %{_mandir}/man1/*
%doc %{_mandir}/man5/*
%doc %{_mandir}/man8/*
/usr/sbin/SVGATextCalc
/usr/sbin/SVGATextMode
/usr/sbin/clockprobe
/usr/sbin/grabmode
/usr/sbin/i740clk
/usr/sbin/stm
/usr/sbin/rcsvgatext
/var/adm/fillup-templates/rc.config.svgatext

%changelog -n svgatext
* Wed Jul 04 2001 - nadvornik@suse.cz
- added test for fb [bug #9222]
* Fri Apr 13 2001 - nadvornik@suse.cz
- changed initscript according to skeleton
* Thu Feb 15 2001 - nadvornik@suse.cz
- fixed to compile
* Wed Nov 29 2000 - nadvornik@suse.cz
- moved init script to /etc/init.d
* Wed Nov 22 2000 - nadvornik@suse.cz
- removed runlevel links
- fixed init script
- fixed bug #2897
* Mon Nov 13 2000 - ro@suse.de
- fixed to compile
* Mon Oct 09 2000 - nadvornik@suse.cz
- fixed Copyright
- used bzip2
* Mon Sep 25 2000 - nadvornik@suse.cz
- added BuildRoot
* Mon Jan 31 2000 - ro@suse.de
- fix to build on axp
- man to /usr/share using macro
* Mon Oct 25 1999 - kukuk@suse.de
- Add -O2 to Makefile for inline functions
* Mon Oct 25 1999 - ro@suse.de
- update to 1.9
- added i740clk
- added patches for matrox-cards
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Mar 02 1998 - hf@suse.de
- new version textmode 1.8
* Sun Jun 01 1997 - bs@suse.de
- moved fillup stuff to var/adm/fillup-templates
* Mon Apr 28 1997 - maddin@suse.de
- new version 1.4
- removed check for newer /var/adm/packages (problem with update!) from
  /sbin/init.d/svgatext
- set start/kill link value to 19/81 to start before gpm
- built in loadunimap to deal with german umlauts
* Fri Mar 14 1997 - maddin@suse.de
- SVGATextMode will not be started if /etc/TextConfig is older than
  /var/adm/packages/svgatext, thus the user did not configure
- when svgatext is started automagically the keymap is reset for unicode
  to display the correct chars for e.g. german umlaut (loadunimap)
- when switched back to default, the FONT variable from rc.config is
  used to set the default font
- when switching back, svgatext now uses explicitly the 80x25 resolution
- SVGATextCalc (v0.9) is now part of the package
- README.suse is corrected
* Thu Jan 02 1997 - bs@suse.de
- removed warning, when variable in rc.config is unset.
* Thu Jan 02 1997 - maddin@suse.de
  svgatext will not be started anymore if the variable in /etc/rc.config is
  empty (default after installation).
  an old /etc/TextConfig will now be backuped once whilst installation to
  /etc/TextConfig.susebak
  The used priority for the start and kill scripts may be easily adjusted in
  Makefile.Linux in the source package.
* Thu Jan 02 1997 - maddin@suse.de
  added mechanism for changing runlevels for svgatext. svgatext will be used in
  runlevels 1,2,3 , for runlevel s svagtext will switch back to 80x25.
  In /etc/rc.config the variable SVGATEXTMODE is added (see comment there)
  Changed fonts used in /etc/TextConfig. Sorry that there is no latin-1 charset
  for small fonts, but cyrillic will be used.
* Thu Jan 02 1997 - maddin@suse.de
  first SuSE version, V1.3
  no changes to default /etc/TextConfig
  additional advise for installation in /usr/doc/packages/svgatext/README.suse
